package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BaseProcess;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 流程表 服务类
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface IBaseProcessService extends IService<BaseProcess> {



    Result getOne(Map<String, String> map);

    Result pageByLocationId(Map<String, String> map);

    //进程展示
    Result listAll(HttpServletRequest httpServletRequest,Map<String, String> map);

    //进程终止
    Result edit(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
